// MaachangComet開始用スクリプト.
//

// スタートアップパラメータを、キー指定で取得.
getStartupParam = function(name) {
    if( isNull( _$shared$params ) ) {
        return null ;
    }
    if( useString( name ) == false ) {
        return null ;
    }
    return _$shared$params.get( name ) ;
}

// スタートアップ処理用パラメータ定義.
putStartupParam = function( name,value ) {
    if( isNull( _$shared$params ) ) {
        return ;
    }
    if( useString( name ) == false || isNull( value ) ) {
        return ;
    }
    _$shared$params.put( name,value ) ;
} ;

// スタートアップ処理用パラメータ削除.
removeStartupParam = function( name ) {
    if( isNull( _$shared$params ) ) {
        return ;
    }
    if( useString( name ) == false ) {
        return ;
    }
    _$shared$params.remove( name ) ;
} ;

// キー存在確認.
isStartupKey = function( name ) {
    if( isNull( _$shared$params ) ) {
        return false ;
    }
    if( useString( name ) == false ) {
        return false ;
    }
    return _$shared$params.containsKey( name ) ;
}

// スタートアップパラメータ.
startupParams = function() {
    return new JSAdapter({
        __get__ : function(name) {
            return getStartupParam( name ) ;
        },
        __has__ :  function(name) {
            return isStartupKey( name ) ;
            return false ;
        },
        __delete__ : function (name) {
            return null
        },
        __put__ : function(name, value) {
            return null ;
        },
        __getIds__ : function() {
            return null ;
        }
    });
} ;

///////////////////////////////////////////////////////////////////////////////
// スタートアップパラメータ展開.
///////////////////////////////////////////////////////////////////////////////
starts = startupParams() ;

